Index: trunk/test/testcompile.sh
===================================================================
--- trunk/test/testcompile.sh	(revision 235)
+++ trunk/test/testcompile.sh	(revision 257)
@@ -179,5 +179,6 @@
 		echo getenv >> list_null_funcs_uniq;
 		cat $i | ./deference_check.pl |\
-                     egrep -v 'x_trustfile.c ... ... sl_trustfile';
+                     egrep -v 'x_trustfile.c ... ... sl_trustfile' | \
+		     egrep -v 'x_sh_mem.c ';
 		rm -f list_null_funcs_uniq;
 		# rm -f $i
@@ -262,4 +263,25 @@
 	numfail=0
 
+	
+	C_LOGFILE=""
+
+	ls /lib/libpcre* >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+	    C_LOGFILE=" --enable-logfile-monitor "
+	else
+	    ls /usr/lib/libpcre* >/dev/null 2>&1
+	    if [ $? -eq 0 ]; then
+		C_LOGFILE=" --enable-logfile-monitor "
+	    else
+		ls /usr/local/lib/libpcre* >/dev/null 2>&1
+		if [ $? -eq 0 ]; then
+		    C_LOGFILE=" --enable-logfile-monitor "
+		fi
+	    fi
+	fi
+	if [ x"${C_LOGFILE}" = x ]; then
+	    log_msg_ok  "Not testing  --enable-logfile-monitor";
+	fi
+
 	#
 	# test dnmalloc
@@ -319,5 +341,5 @@
 	[ -z "${SMATCH}" ] || { CC="${SAVE_CC}"; export CC; SMATCH=""; export SMATCH; }
 	#
-	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-static --enable-suidcheck --enable-process-check --enable-logfile-monitor > /dev/null 2>> test_log
+	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-static --enable-suidcheck --enable-process-check ${C_LOGFILE} > /dev/null 2>> test_log
 	#
 	let "num = num + 1" >/dev/null
@@ -429,5 +451,5 @@
 	fi
 	#
-	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --enable-nocl="owl" --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-logfile-monitor > /dev/null 2>> test_log   
+	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --enable-nocl="owl" --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test ${C_LOGFILE} > /dev/null 2>> test_log   
 	#
 	let "num = num + 1" >/dev/null
@@ -670,5 +692,5 @@
 	[ -z "${SMATCH}" ] || { CC="${SAVE_CC}"; export CC; SMATCH=""; export SMATCH; }
 	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-static --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-timeserver=127.0.0.1   --enable-logfile-monitor > /dev/null 2>> test_log   
+	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-static --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-timeserver=127.0.0.1 ${C_LOGFILE} > /dev/null 2>> test_log   
 	#
 	let "num = num + 1" >/dev/null
@@ -726,5 +748,5 @@
 	    fi
 	    #
-	    ${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --with-gpg=$GPG  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --enable-logfile-monitor > /dev/null 2>> test_log   
+	    ${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --with-gpg=$GPG  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test ${C_LOGFILE} > /dev/null 2>> test_log   
 	    #
 	    let "num = num + 1" >/dev/null
@@ -790,5 +812,5 @@
 	fi
 	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --enable-logfile-monitor > /dev/null 2>> test_log   
+	${TOP_SRCDIR}/configure --quiet --enable-network=client --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test ${C_LOGFILE} > /dev/null 2>> test_log   
 	#
 	let "num = num + 1" >/dev/null
Index: trunk/test/testhash.sh
===================================================================
--- trunk/test/testhash.sh	(revision 235)
+++ trunk/test/testhash.sh	(revision 257)
@@ -28,4 +28,25 @@
 {
 	log_start "HASH FUNCTION"
+
+	C_LOGFILE=""
+
+	ls /lib/libpcre* >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+	    C_LOGFILE=" --enable-logfile-monitor "
+	else
+	    ls /usr/lib/libpcre* >/dev/null 2>&1
+	    if [ $? -eq 0 ]; then
+		C_LOGFILE=" --enable-logfile-monitor "
+	    else
+		ls /usr/local/lib/libpcre* >/dev/null 2>&1
+		if [ $? -eq 0 ]; then
+		    C_LOGFILE=" --enable-logfile-monitor "
+		fi
+	    fi
+	fi
+	if [ x"${C_LOGFILE}" = x ]; then
+	    log_msg_ok  "Not testing  --enable-logfile-monitor";
+	fi
+
 	#
 	# test standalone compilation
@@ -37,5 +58,5 @@
 	fi
 	#
-	${TOP_SRCDIR}/configure --quiet $TRUST --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$RCFILE --with-log-file=$LOGFILE --with-pid-file=$PW_DIR/.samhain_lock --with-data-file=$PW_DIR/.samhain_file --enable-debug '--enable-login-watch' '--enable-mounts-check' '--enable-logfile-monitor' '--enable-process-check' '--enable-port-check' '--enable-suidcheck' '--with-rnd=unix'
+	${TOP_SRCDIR}/configure --quiet $TRUST --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$RCFILE --with-log-file=$LOGFILE --with-pid-file=$PW_DIR/.samhain_lock --with-data-file=$PW_DIR/.samhain_file --enable-debug '--enable-login-watch' '--enable-mounts-check' ${C_LOGFILE} '--enable-process-check' '--enable-port-check' '--enable-suidcheck' '--with-rnd=unix'
 	#
 	fail=0
Index: trunk/test/testrun_1.sh
===================================================================
--- trunk/test/testrun_1.sh	(revision 235)
+++ trunk/test/testrun_1.sh	(revision 257)
@@ -892,5 +892,5 @@
 	return 1
     fi
-    egrep "CRIT.*POLICY \[ReadOnly\] CL---M--TS.*${BASE}/b/l_x" $LOGFILE >/dev/null 2>&1
+    egrep "CRIT.*POLICY \[ReadOnly\] CL-.-M--TS.*${BASE}/b/l_x" $LOGFILE >/dev/null 2>&1
     if [ $? -ne 0 ]; then
 	[ -z "$verbose" ] || log_msg_fail "${BASE}/b/l_x";
